summaryrefslogtreecommitdiffstats
path: root/core/modules/splashtool/data/opt/openslx/bin/splashtool
diff options
context:
space:
mode:
Diffstat (limited to 'core/modules/splashtool/data/opt/openslx/bin/splashtool')
-rwxr-xr-xcore/modules/splashtool/data/opt/openslx/bin/splashtool4
1 files changed, 3 insertions, 1 deletions
diff --git a/core/modules/splashtool/data/opt/openslx/bin/splashtool b/core/modules/splashtool/data/opt/openslx/bin/splashtool
index 0f941be9..b8787365 100755
--- a/core/modules/splashtool/data/opt/openslx/bin/splashtool
+++ b/core/modules/splashtool/data/opt/openslx/bin/splashtool
@@ -56,7 +56,6 @@ draw () {
local img_top="$2"
shift 3
# See ift's an actual file
- [ -s "${ppm}.gz" ] && ppm="${ppm}.gz"
if ! [ -s "$ppm" ]; then
echo "$ppm not found" >&2
exit 1
@@ -118,6 +117,9 @@ if [ "$count" -gt 0 ]; then
else
# Normal mode
# getimgsize
+ if ! [ -s "${ppm}" ]; then
+ ppm="${ppm}.gz"
+ fi
if [ "${ppm%.gz}" != "${ppm}" ]; then
ppm_size="$(zcat "$ppm" | sed -n 2p)"
else